Bug 250276

Summary: [exp-run] Prefer graphics/ligvrsvg2-rust over graphics/librsvg2
Product: Ports & Packages Reporter: Alexander Vereeken <Alexander88207>
Component: Individual Port(s)Assignee: Tobias C. Berner <tcberner>
Status: Closed FIXED    
Severity: Affects Many People CC: Alexander88207, bpurgar, mikael, romain, tcberner
Priority: --- Flags: tcberner: maintainer-feedback+
antoine: exp-run+
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://forums.freebsd.org/threads/xfce-not-displaying-svg-icons-correctly.77297/#post-480935
See Also: https://reviews.freebsd.org/D18878
Attachments:
Description Flags
graphics/librsvg2 update - 2.45.92
none
v1 none

Description Alexander Vereeken 2020-10-11 16:49:52 UTC
Moin,

when i open thunar i see 2 ~distorted? icons. (See Link)

Im not sure, if this could be a only a $FreeBSD or an upstream issue so i reported it here first, if this is ok.

Many thanks in advance.
Comment 1 bpurgar 2020-10-27 18:19:03 UTC
Updating librsvg2 fix these problems.
Comment 2 Mikael Urankar freebsd_committer 2020-10-30 07:35:26 UTC
(In reply to bpurgar from comment #1)
to which version?
Comment 3 bpurgar 2020-10-30 10:21:57 UTC
(In reply to Mikael Urankar from comment #2)
In my case i update to 2.45.92 and fix all issues with distorded icons. ( gnome-3.36/38)
Comment 4 bpurgar 2020-10-30 10:25:10 UTC
(In reply to Mikael Urankar from comment #2)
In my case i update to 2.45.92 and fix all issues with distorded icons. ( gnome-3.36/38).
Comment 5 bpurgar 2020-10-30 16:11:06 UTC
Created attachment 219222 [details]
graphics/librsvg2 update - 2.45.92

Port update for librsvg2
Comment 6 Mikael Urankar freebsd_committer 2020-10-30 16:23:45 UTC
(In reply to bpurgar from comment #5)
there is already graphics/librsvg2-rust
It's probably time to switch to librsvg2-rust, the concern about rust shouldn't block the switch (rust is only missing on mips/riscv/powerpc)
Comment 7 bpurgar 2020-10-30 16:33:44 UTC
(In reply to Mikael Urankar from comment #6)
yes i know but when i test v2.50 (librsvg2-rust) adwaita-icon-theme has ben fixed but other icons got broken/distorted ..?!
Comment 8 Romain Tartière freebsd_committer 2020-10-30 17:49:26 UTC
Just switched to graphics/librsvg2-rust and the problem is gone (pkg delete -f librsvg2 && pkg add /path/to/librsvg2-rust.txz).

bpurgar@gmail.com, can you please tell us which icons you see broken?
Comment 9 bpurgar 2020-10-30 18:02:54 UTC
(In reply to Romain Tartière from comment #8)
When i try to find solution i build it from source v2.50 / not pkg or ports and have distorted icons(for example epipahany icon). maybe i missed some configure or postmake option to rebuild icon cache. 

Now i have tested (pkg delete -f
librsvg2 && pkg add /path/to/librsvg2-rust.txz) and can confirm that librsvg2-rust work and i don't have any distorted icon like before when building from source.
Comment 10 Romain Tartière freebsd_committer 2020-10-30 18:18:55 UTC
Awesome!  Then I am all in favor for Mikael suggestion to switch to librsvg2-rust.  I guess it's up to desktop@ to have the last word about it and determine how they would like to implement this.

Thanks!
Comment 11 Tobias C. Berner freebsd_committer 2020-10-30 18:25:12 UTC
Moin moin 

I don't think there is any issue in switching to librsvg2-rust, other than it being unbuildable on certain archs -- there is an open review by tobik to handle dependency on either a bit more transparently.



mfg Tobias
Comment 12 Tobias C. Berner freebsd_committer 2020-10-31 14:55:27 UTC
Moin moin 

desktop@ would like to ask for an exp-run of the attached patch (D18878), which can also be found here:

https://people.freebsd.org/~tcberner/patches/librsvg2-rustify.v1.patch


mfg Tobias
Comment 13 Tobias C. Berner freebsd_committer 2020-10-31 14:55:52 UTC
Created attachment 219239 [details]
v1
Comment 14 Mikael Urankar freebsd_committer 2020-10-31 16:27:58 UTC
(In reply to Tobias C. Berner from comment #13)
before you commit the patch, add powerpc64le to the list:
.if empty(ARCH:Naarch64:Narmv6:Narmv7:Namd64:Ni386:Npowerpc64:Npowerpc64le)

Thanks!
Comment 15 Tobias C. Berner freebsd_committer 2020-10-31 16:42:55 UTC
(In reply to Mikael Urankar from comment #14)
I updated the diff and my local branch with the change -- I think for the exp-run it is irrelevant, as that arch is not tested anyways (AFAIK [tm]).
Comment 16 Antoine Brodin freebsd_committer 2020-11-09 07:05:46 UTC
Exp-run looks fine
Comment 17 commit-hook freebsd_committer 2020-11-09 17:09:31 UTC
A commit references this bug:

Author: tcberner
Date: Mon Nov  9 17:08:32 UTC 2020
New revision: 554733
URL: https://svnweb.freebsd.org/changeset/ports/554733

Log:
  Prefer graphics/ligvrsvg2-rust over graphics/librsvg2

  - switch to the more modern version of librsvg2 on architectures
    supporting rust
  - this will fix some graphical issues on these architectures

  PR:		250276
  Exp-run by:	antoine
  Submitted by:	tobik
  Differential Revision:	https://reviews.freebsd.org/D18878

Changes:
  head/Mk/Scripts/qa.sh
  head/Mk/Uses/gnome.mk
  head/audio/denemo/Makefile
  head/audio/exaile/Makefile
  head/audio/fossmixer/Makefile
  head/cad/horizon-eda/Makefile
  head/deskutils/cairo-dock/Makefile
  head/deskutils/cairo-dock-plugins/Makefile
  head/deskutils/glabels/Makefile
  head/deskutils/mate-notification-daemon/Makefile
  head/deskutils/shutter/Makefile
  head/deskutils/virt-manager/Makefile
  head/deskutils/xfce4-tumbler/Makefile
  head/deskutils/xfce4-xkb-plugin/Makefile
  head/devel/efl/Makefile
  head/devel/goffice/Makefile
  head/editors/abiword/Makefile
  head/editors/emacs/Makefile
  head/editors/emacs-devel/Makefile
  head/games/aisleriot/Makefile
  head/games/bombherman/Makefile
  head/games/five-or-more/Makefile
  head/games/four-in-a-row/Makefile
  head/games/gnome-chess/Makefile
  head/games/gnome-klotski/Makefile
  head/games/gnome-mahjongg/Makefile
  head/games/gnome-mines/Makefile
  head/games/gnome-nibbles/Makefile
  head/games/gnome-robots/Makefile
  head/games/gnome-taquin/Makefile
  head/games/gnome-tetravex/Makefile
  head/games/hitori/Makefile
  head/games/iagno/Makefile
  head/games/lightsoff/Makefile
  head/games/pentobi/Makefile
  head/games/pioneers/Makefile
  head/games/py-pychess/Makefile
  head/games/quadrapassel/Makefile
  head/games/tali/Makefile
  head/games/tuxmath/Makefile
  head/games/tuxpaint/Makefile
  head/games/tuxtype/Makefile
  head/games/xboard/Makefile
  head/graphics/ImageMagick6/Makefile
  head/graphics/ImageMagick7/Makefile
  head/graphics/darktable/Makefile
  head/graphics/eog/Makefile
  head/graphics/eom/Makefile
  head/graphics/fpc-rsvg/Makefile
  head/graphics/gegl/Makefile
  head/graphics/gimageview/Makefile
  head/graphics/gimp-app/Makefile
  head/graphics/gscan2pdf/Makefile
  head/graphics/gthumb/Makefile
  head/graphics/imv/Makefile
  head/graphics/libafterimage/Makefile
  head/graphics/mypaint/Makefile
  head/graphics/openfx-arena/Makefile
  head/graphics/osg/Makefile
  head/graphics/osg34/Makefile
  head/graphics/pinpoint/Makefile
  head/graphics/rawtherapee/Makefile
  head/graphics/rubygem-rsvg2/Makefile
  head/graphics/vips/Makefile
  head/graphics/xviewer/Makefile
  head/mail/claws-mail/Makefile
  head/math/asymptote/Makefile
  head/multimedia/cheese/Makefile
  head/multimedia/ffmpeg/Makefile
  head/multimedia/gstreamer1-plugins/Makefile
  head/multimedia/vlc/Makefile
  head/net-p2p/deluge/Makefile
  head/net-p2p/mldonkey/Makefile
  head/science/chemical-mime-data/Makefile
  head/science/gramps/Makefile
  head/security/vuxml/Makefile
  head/sysutils/conky/Makefile
  head/sysutils/gnome-system-monitor/Makefile
  head/sysutils/mate-control-center/Makefile
  head/sysutils/mate-system-monitor/Makefile
  head/textproc/ibus/Makefile
  head/textproc/libfo/Makefile
  head/www/links/Makefile
  head/www/midori/Makefile
  head/www/netsurf/Makefile
  head/x11/eaglemode/Makefile
  head/x11/florence/Makefile
  head/x11/gnome-pie/Makefile
  head/x11/jgmenu/Makefile
  head/x11/lavalauncher/Makefile
  head/x11/mate-panel/Makefile
  head/x11/mate-session-manager/Makefile
  head/x11/rofi/Makefile
  head/x11/roxterm/Makefile
  head/x11/tint/Makefile
  head/x11/xxkb/Makefile
  head/x11-clocks/cairo-clock/Makefile
  head/x11-fm/librfm/Makefile
  head/x11-fm/rodent/Makefile
  head/x11-themes/adapta-gtk-theme/Makefile
  head/x11-themes/gnome-icons-elementary/Makefile
  head/x11-themes/gnome-icons-gartoon-redux/Makefile
  head/x11-themes/gnome-themes-extra/Makefile
  head/x11-themes/greybird-theme/Makefile
  head/x11-toolkits/gnome-sharp20/Makefile
  head/x11-toolkits/gtk30/Makefile
  head/x11-toolkits/ocaml-lablgtk2/Makefile
  head/x11-wm/afterstep-stable/Makefile
  head/x11-wm/compiz/Makefile
  head/x11-wm/fvwm2/Makefile
  head/x11-wm/jwm/Makefile
  head/x11-wm/lxappearance-obconf/Makefile
  head/x11-wm/obconf-qt/Makefile
  head/x11-wm/openbox/Makefile
Comment 18 Alexander Vereeken 2020-11-14 09:21:15 UTC
I can confirm that this problem is now fixed. Thank you all.